
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：危险源及风险库教育培训措施
    /// </summary>
    [Description("导航属性：危险源及风险库教育培训措施")]
    public class T_HM_EVALUATE_RISK_EDUCATION_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 危险源及风险库ID
        /// </summary>
        [Description("危险源及风险库ID")]
        [DataFieldForeignKey("Nav_EvaluationRisk", "Nav_EvaluateRiskEducationMeasures")]

        public Guid EVALUATION_RISK_ID { get; set; }

        /// <summary>
        /// 教育培训措施
        /// </summary>
        [Description("教育培训措施")]
        [DataFieldForeignKey("Nav_EducationMeasures")]
        [FormFieldEdit]
        public Guid EDUCATION_MEASURES_ID { get; set; }

        /// <summary>
        /// 导航属性：危险源及风险库
        /// </summary>
        [Description("导航属性：危险源及风险库")]
        public T_HM_EVALUATE_RISK Nav_EvaluationRisk { get; set; }

        /// <summary>
        /// 导航属性：教育培训措施
        /// </summary>
        [Description("导航属性：教育培训措施")]
        public T_HM_EDUCATION_MEASURES Nav_EducationMeasures { get; set; }
    }
}
